#### D.16.1.2 homogeneitySpace

`Syntax:`
  `homogeneitySpace(` poly g `)`
  `homogeneitySpace(` ideal I `)`
`Type:`
  cone
`Purpose:`
  the linear space of all weight vectors with respect to whom a polynomial g or an ideal I is weighted homogeneous.
`Example:`

      LIB "gfanlib.so";
      ring r = 0,(x,y,z),dp;
      poly g = x+y;
      cone homogSpace = homogeneitySpace(g);
      rays(homogSpace);
      ==>
      generatorsOfLinealitySpace(homogSpace);
      ==> -1,-1, 0,
      ==>  0, 0,-1

      ideal I = x+y, y+z;
      homogSpace = homogeneitySpace(I);
      rays(homogSpace);
      ==>
      generatorsOfLinealitySpace(homogSpace);
      ==> -1,-1,-1

User manual for Singular version 4-0-3, 2016, generated by texi2html.